Foreman - Bug #12111

Table or column widths
10/08/2015 10:37 AM - Jeff Sparrow

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Web Interface
Target version: 1.13.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3884
Description

Spoke briefly with tbrisker in #theforeman, he said to create this.
I am looking at wanting to edit the size of the table or columns in foreman.

Issue 1. is related to the extra column plugin - https:/github.com/GregSutcliffe/foreman_column_view - It doesnt truncate long facts,
and ends up stretching the width of the column, which then stretches the width of the entire table and makes other columns look
strange. Unfortunately | lost my example, but it would be easy to reproduce by setting the fact in the plugin to something like path (or
anything that is lengthy)

Issue 2. when creating a longer environment name, it truncates it too much. | know, | know, these two issues kind of conflict. But the
issue is, the main env we use is production. Then there is production_something, production_something_else,
production_something_etc. Every one of these environments show up as production_ so it is nearly impossible, without pausing the
mouse on the environment of each server, to tell what environment its actually in.

A way to change column or table width would be helpful. Mainly table width, because there is so much unused whitespace on the left
and right ;)

Related issues:
Related to Foreman - Bug #8800: Table cells should clip with tooltip only if ... Closed 12/28/2014
Related to Foreman - Feature #1403: [foreman] [UI] - tables columns should be... New 12/19/2011

Associated revisions

Revision 7fe3001e - 09/29/2016 03:36 AM - Tomer Brisker

Fixes #12111 - Set width for host list action column

This makes no siginificant change to core but allows unbreaking
foreman_column_view plugin.

Revision 7baf5ed5 - 10/25/2016 07:54 AM - Tomer Brisker
Fixes #12111 - Set width for host list action column
This makes no siginificant change to core but allows unbreaking

foreman_column_view plugin.
(cherry picked from commit 7fe3001ede3c3529079be9fb928ab3265475e16d)

History

#1 - 10/08/2015 10:40 AM - Dominic Cleal
We may be able to add this information to #1403 and/or #2937.

#2 - 10/08/2015 11:13 AM - Jeff Sparrow

Dominic Cleal wrote:

We may be able to add this information to #1403 and/or #2937.
Looks like it huh? Not sure about Issue 1 though, as | havent looked in to how the plugin actually inputs the fact info. If the table features are added
to foreman, a question would be if those would also control that plugins information. Right now its only the data from that plugin that doesnt get
truncated, all other columns do, just fyi.

#3 - 10/11/2015 08:37 AM - Tomer Brisker
- Related to Bug #8800: Table cells should clip with tooltip only if text actually overflows added

#4 - 10/11/2015 09:01 AM - Tomer Brisker

Hi Jeff,

Thank you for you input.

I'll start with point no. 2 - #8800 has just been merged into nightly, which should improve the situation a bit by only clipping cells that need clipping.
Once Patternfly (#4629) gets merged this will improve even more as the base content width will be increased to 1400px.

As to issue no. 1 - since #8800 has been merged, the plugin can and should use its ability to ellipsize overflowing text. | will look into creating a patch
to the plugin to fix this.

As a side note, | am looking into possibly including a JS plugin that will allow users to dynamically control column sizes, which will hopefully solve this
kind of issues for good.

#5 - 10/13/2015 09:57 AM - Jeff Sparrow

Thanks for the update. The plan sounds good, cant wait to try it out!

#6 - 10/14/2015 08:02 AM - Tomer Brisker
- Related to Feature #1403: [foreman] [Ul] - tables columns should be resizable added

#7 - 10/14/2015 08:03 AM - Tomer Brisker

- Tracker changed from Support to Bug

- Project changed from Foreman to Plugins

- Category deleted (Web Interface)

- Status changed from New to Ready For Testing

- Pull request https://github.com/GregSuitcliffe/foreman_column_view/pull/18 added

Hi,

| have submitted a PR to address issue #1 and converted this issue to the bug report for it.

Issue #2 should be fixed for 1.11 as mentioned above. (seems like the fix was too late to make the cut for 1.10)
As for dynamically resizing columns, this requires a bit of work and will be tracked in #1403.

#8 - 09/25/2016 09:06 AM - Tomer Brisker
- Project changed from Plugins to Foreman
- Category set to Web Interface

- Pull request deleted (https://github.com/GregSutcliffe/foreman_column_view/pull/18)

Looks like this will need a minor change to core to get working, moving back to Foreman core for that fix to be picked up.

#9 - 09/25/2016 09:08 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3884 added

#10 - 09/29/2016 04:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7fe3001ede3c3529079be9fb928ab3265475e16d.

#11 - 09/29/2016 04:26 AM - Dominic Cleal

- translation missing: en.field_release set to 190

#12 - 10/04/2016 10:04 AM - Daniel Lobato Garcia

- Target version set to 1.5.2
